import { request } from "@/http/axios"
import { ShopGoodsResponseData, SubmitOrderRequestData, SubmitOrderResponseData } from './type'
import { GetOpenIdRequestParams } from './type'


/** 获取当前登录用户详情 */
export function getShopGoodsApi() {
  return request<ShopGoodsResponseData>({
    url: "shop/goods",
    method: "get"
  })
}

/** 提交订单接口 */
export function submitOrderApi(data: SubmitOrderRequestData) {
  return request<SubmitOrderResponseData>({
    url: "order/submit",
    method: "post",
    data
  })
}

/** 获取微信openid */
export function getOpenIdApi(params: GetOpenIdRequestParams) {
  return request<string>({
    url: "payment/getOpenId",
    method: "get",
    params  // 使用params传递code参数，对应Java的@RequestParam
  })
}