export type Goods = {
    goodsId: number,
    goodsName: string,
    categoryId: number,
    price: number,
    stock: number,
    status: number,
    coverImg: string,
    goodsDetail: string
}

export type category = {
    categoryId: number,
    categoryName: string,
    sort: number
}

export interface SubmitOrderRequestData {
  openid: string
  goodsList: Array<{
    goodsId: number
    quantity: number
  }>
}

export type SubmitOrderResponseData = ApiResponseMsgData<{
  orderId: number
  totalAmount: number
  paymentInfo: WxJsApiPreCreateResponse
}>

export type ShopGoodsResponseData = ApiResponseMsgData<{ 
    goodsList: Goods[], 
    categoryList: category[] 
}>

export interface WxJsApiPreCreateResponse {
  appId: string
  timeStamp: string
  nonceStr: string
  /** @JsonProperty("package") */
  packageValue: string
  signType: string
  paySign: string
}

export interface GetOpenIdRequestParams {
  code: string
}
